> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink document



## OpenAPI

````yaml post /v1/decisions/unlink-records
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/decisions/unlink-records:
    post:
      tags:
        - decisions
      summary: Unlink document
      operationId: DecisionController_unlinkedRecords_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnLinkedRecordDto'
      responses:
        '200':
          description: Linked records successfully deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnLinkedRecordResponseDtoResponse'
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnLinkedRecordResponseDto'
      security:
        - accessToken: []
components:
  schemas:
    UnLinkedRecordDto:
      type: object
      properties:
        documentId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Document ID
        userId:
          type: string
          description: User ID
          example: 105fa115-52d0-4466-baff-740447a60795
        recordData:
          type: array
          items:
            $ref: '#/components/schemas/UnlinkedRecord'
      required:
        - documentId
        - userId
        - recordData
    UnLinkedRecordResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:50.384Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/UnLinkedRecordResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    UnLinkedRecordResponseDto:
      type: object
      properties:
        deletedCount:
          type: number
          description: Deleted Count
          example: 5
      required:
        - deletedCount
    UnlinkedRecord:
      type: object
      properties:
        id:
          type: string
          description: Record ID
          example: 105fa115-52d0-4466-baff-740447a60795
        type:
          type: string
          description: type of record
          example: Decision/Delegation
      required:
        - id
        - type
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````